Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
b2BlockAllocator Class Reference

`#include <b2BlockAllocator.h>`

## Public Member Functions
void * | Allocate (int32 size)
| Allocate memory. This will use b2Alloc if the size is larger than b2_maxBlockSize.
void | Free (void *p, int32 size)
| Free memory. This will use b2Free if the size is larger than b2_maxBlockSize.
void | Clear ()

## Detailed Description

This is a small object allocator used for allocating small objects that persist for more than one time step. See: http://www.codeproject.com/useritems/Small_Block_Allocator.asp

The documentation for this class was generated from the following files:

- b2BlockAllocator.h
- b2BlockAllocator.cpp